# BukkitConditionContext (ACF (Bukkit) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: BukkitConditionContext

Package co.aikar.commands

# Class BukkitConditionContext

java.lang.Object
co.aikar.commands.ConditionContext<BukkitCommandIssuer>
co.aikar.commands.BukkitConditionContext

public class BukkitConditionContext extends co.aikar.commands.ConditionContext<BukkitCommandIssuer>

## Method Summary

Modifier and Type
Method
Description
`org.bukkit.entity.Player`
`getPlayer()`
`org.bukkit.command.CommandSender`
`getSender()`

### Methods inherited from class co.aikar.commands.ConditionContext

`getConfig, getConfigValue, getConfigValue, getIssuer, hasConfig`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getSender

public org.bukkit.command.CommandSender getSender()

### getPlayer

public org.bukkit.entity.Player getPlayer()